Bug 26157 - Redirect expected DBI warnings
Summary: Redirect expected DBI warnings
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 25515
  Show dependency treegraph
 
Reported: 2020-08-06 11:03 UTC by Jonathan Druart
Modified: 2020-10-19 22:58 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26157: Hide expected DBI warnings from tests (9.00 KB, patch)
2020-08-06 11:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26157: Hide expected DBI warnings from tests (9.07 KB, patch)
2020-08-21 10:47 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26157: Hide expected DBI warnings from tests (9.14 KB, patch)
2020-08-22 12:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26157: Correct two occurrences (2.95 KB, patch)
2020-09-09 14:32 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-08-06 11:03:32 UTC
We should not display DBI warnings from tests when they are expected.
Comment 1 Jonathan Druart 2020-08-06 11:13:10 UTC
Created attachment 107874 [details] [review]
Bug 26157: Hide expected DBI warnings from tests

We must redirect them to /dev/null if we know they will appear.

Test plan:
prove the different test files and confirm that the output is clean when
this patch is applied
Comment 2 Martin Renvoize 2020-08-21 10:47:22 UTC
Created attachment 108802 [details] [review]
Bug 26157: Hide expected DBI warnings from tests

We must redirect them to /dev/null if we know they will appear.

Test plan:
prove the different test files and confirm that the output is clean when
this patch is applied

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2020-08-21 10:47:45 UTC
Ah, the peace and quiet :)

SO
Comment 4 Katrin Fischer 2020-08-22 12:07:07 UTC
Created attachment 108921 [details] [review]
Bug 26157: Hide expected DBI warnings from tests

We must redirect them to /dev/null if we know they will appear.

Test plan:
prove the different test files and confirm that the output is clean when
this patch is applied

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-08-24 10:33:44 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-09-04 19:40:48 UTC
enhancement will not be backported to 20.05.x
Comment 7 Jonathan Druart 2020-09-09 14:32:10 UTC
Created attachment 109819 [details] [review]
Bug 26157: Correct two occurrences

We don't want to hide the warnings for all tests
Comment 8 Jonathan Druart 2020-09-09 14:32:47 UTC
Last patch pushed to master for 20.11
Comment 9 Aleisha Amohia 2020-10-19 22:58:55 UTC
enhancement not backported to 19.11.x

Note: It looks like the second patch was backported to 20.05.x